/*
 * GD25Q16ETIGR.h
 *
 *  Created on: 7 сент. 2023 г.
 *      Author: seklyuts
 */

#ifndef SRC_GD25Q16ETIGR_H_
#define SRC_GD25Q16ETIGR_H_

#define GD25Q16E_SIZE 0x100000 // 16 bit lenght
#define GD25Q16E_PAGE 0x100

void GD25Q16ETIGR_en(void);
void GD25Q16ETIGR_write(void);
uint16_t GD25Q16ETIGR_write_data(uint32_t Addr, uint16_t quant, uint16_t * write_data);
uint16_t GD25Q16ETIGR_read_data(uint32_t Addr, uint16_t quant, uint16_t * read_data);
uint16_t GD25Q16ETIGR_verify_data(uint32_t Addr, uint16_t quant, uint16_t * verify_data);
uint16_t GD25Q16ETIGR_ReadManufacturerDeviceID(void);
void GD25Q16ETIGR_clean_SectorWasErraised(void);

#endif /* SRC_GD25Q16ETIGR_H_ */
